/*
 * Bedge
 * Copyright (C) 2023 moonleay
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package net.moonleay.bedge.data.database.tables

import org.jetbrains.exposed.sql.Table

object UserTable : Table(name = "users") {
    var id = integer("id").autoIncrement()
    var userid = long("userid")
    var accountCreationDate = long("account_creation_date")
    var currentStreak = integer("current_streak")
    var longestStreak = integer("longest_streak")
    var wantsToBeReminded = bool("wants_to_be_reminded")
    var coins = integer("coins")
    var coinsCollected = integer("coins_collected")
    var xp = integer("xp")
    var level = integer("level")
    var numberOfFails = integer("number_of_fails")
    var targetChannelId = long("target_channel_id")
    var customReminderMessage = text("custom_reminder_message")
    var preferredSleepTime = integer("preferred_sleep_time")
    var customWakeupMessage = text("custom_wakeup_message")
    var nextWakeup = long("next_wakeup")
    var nextWakeupCron = varchar("next_wakeup_cron", 50)
    var lastWakeup = long("last_wakeup")
    var isAwake = bool("is_awake")
    var timezone = varchar("timezone", 50)
}
